require 'ezid-client'
module StashEzid
  class Client

    def initialize(shoulder:, account:, password:, owner:, id_scheme:)
      @ezid_client = ::Ezid::Client.new(user: account, password: password)
      @shoulder = shoulder
      @owner = owner
      @id_scheme = id_scheme
    end

    def mint_id
      identifier = @ezid_client.mint_identifier(@shoulder, {:status => "reserved", :profile => "datacite"})
      identifier.id
    end

    def update_metadata(identifier, xml_string, target = nil)
      hash = {:status => "public", :datacite => xml_string }
      hash[:owner] = @owner unless @owner.blank?
      hash.merge!({:target => target}) if target
      @ezid_client.modify_identifier(identifier, hash )
    end

  end
end